document.addEventListener('DOMContentLoaded', (event) => {
  if (window.location.href.indexOf('admin.php?page=hear-me-wizard') > -1) {
    const apiValue = document.querySelector('#api_key');
    const stagesTitles = document.querySelector('#wizard_title');
    const stagesText = document.querySelector('#wizard_step_text');
    const finishBtn = document.querySelector('#wizard_finish_button');
    const nextBtn = document.querySelector('#wizard_next');
    const form = document.querySelector('#wizard_form');
    const radioAll = document.querySelectorAll('.hear_me_wizard__step__radio_single input');
    const checkboxAll = document.querySelectorAll('.hear_me_wizard__step__checkbox_input');
    let stages = stagesTitles.textContent.split('|');
    let currentStage = 1;

    const updateStep = () => {
      stagesText.textContent = stages[0] + ' ' + currentStage.toString();

      stagesTitles.textContent = stages[currentStage];

      const currentStep = document.querySelector('#wizard_step_' + currentStage);
      const previousSteps = document.querySelectorAll('.hear_me_wizard__step');

      previousSteps.forEach((step) => {
        step.classList.remove('hear_me_wizard__step--shown');
      });

      currentStep.classList.add('hear_me_wizard__step--shown');

      if (currentStage == 4) {
        nextBtn.style.display = 'none';
        finishBtn.classList.add('hear_me_wizard__button--shown');
      }
    };

    radioAll.forEach((button) => {
      button.addEventListener('change', (e) => {
        radioAll.forEach((item) => {
          item.parentElement.classList.remove('hear_me_wizard__step__radio_label--checked');
        });
        button.parentElement.classList.add('hear_me_wizard__step__radio_label--checked');
      });
    });

    checkboxAll.forEach((button) => {
      if (button.checked == true) {
        button.parentElement.classList.add('hear_me_wizard__step__checkbox_label--checked');
      }

      button.addEventListener('change', (e) => {
        button.parentElement.classList.toggle('hear_me_wizard__step__checkbox_label--checked');
      });
    });

    updateStep();

    radioAll[0].checked = true;
    radioAll[0].parentElement.classList.add('hear_me_wizard__step__radio_label--checked');

    apiValue.onblur = () => {
      const value = apiValue.value;
      //api_url is data from php config file
      let apiUrl = api_url;

      if (value.length > 0) {
        var xmlHttp = new XMLHttpRequest();
        const apiValueError = document.querySelector('#api_key_error');
        xmlHttp.onreadystatechange = function () {
          if (xmlHttp.readyState == 4 && xmlHttp.status == 200) {
            apiValueError.classList.remove('hear_me_wizard__step__api-error--active');
            finishBtn.classList.add('hear_me_wizard__button--shown');
          }

          if (xmlHttp.readyState == 4 && xmlHttp.status == 404) {
            apiValueError.classList.add('hear_me_wizard__step__api-error--active');
            finishBtn.classList.remove('hear_me_wizard__button--shown');
          }
        };
        xmlHttp.open('GET', apiUrl + 'echo?key=' + value, true);
        xmlHttp.send(null);
      }
    };
    nextBtn.onclick = () => {
      currentStage++;
      updateStep();
    };

    finishBtn.onclick = () => {
      if (currentStage != 4) {
        currentStage = 4;
        updateStep();
      } else {
        form.submit();
      }
    };
  }

  if (window.location.href.indexOf('admin.php?page=hear-me-settings') > -1) {
    const radioAll = document.querySelectorAll('.hear_me_wizard__step__radio_single input');
    radioAll.forEach((button) => {
      button.addEventListener('change', (e) => {
        radioAll.forEach((item) => {
          item.parentElement.classList.remove('hear_me_wizard__step__radio_label--checked');
        });
        button.parentElement.classList.add('hear_me_wizard__step__radio_label--checked');
      });
    });
  }
});
